* {
  box-sizing: border-box;
}

body {
  margin: 0;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  min-height: 100vh;
  font-family: "Orbitron", sans-serif;
  font-style: normal;
}

.header {
  display: flex;
  align-items: center;
  justify-content: space-around;
  width: 100%;
  border-bottom: 1px solid #4c8593;
}

.header-title {
  font-weight: 100;
}

.logo {
  width: 70px;
  height: 56px;
}

.home-link {
  text-decoration: none;
}

.grid-container {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(100px, 1fr));
  gap: 1rem;
  width: 90%;
  max-width: 1000px;
  padding: 1rem;
  margin-top: 5rem;
}

.grid-child {
  aspect-ratio: 1 / 1;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
  background-color: #9feaff;
  background-image: linear-gradient(19deg, #8deaff 0%, #647eff 100%);
  border-radius: 30% 70% 70% 30% / 30% 30% 70% 70%;
  box-shadow: 15px 15px 50px rgba(0, 0, 0, 0.2);
  animation: morphing 10s infinite;
  overflow: hidden;

  &:hover {
    animation-play-state: paused;
    background-image: linear-gradient(19deg, #d4ffd2 0%, #64ff76 100%);
    background-color: #9fffbf;
  }
}

.grid-child:hover {
  transform: scale(1.05);
  cursor: pointer;
}

.project-link {
  text-decoration: none;
}

@keyframes morphing {
  0% {
    border-radius: 30% 70% 70% 30% / 30% 30% 70% 70% box-shadow 15px 15px 50px rgba(0, 0, 0, 0.2);
  }

  25% {
    border-radius: 58% 42% 75% 25% / 76% 46% 54% 24%;
  }

  50% {
    border-radius: 50% 50% 33% 67% / 55% 27% 73% 45% box-shadow -10px -5px 50px rgba(0, 0, 0, 0.2);
  }

  75% {
    border-radius: 33% 67% 58% 42% / 63% 68% 32% 37%;
  }
}